## com.lowagie.bc.asn1
Class DERInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              com.lowagie.bc.asn1.DERInputStream

All Implemented Interfaces:
  DERTags, java.io.Closeable

Direct Known Subclasses:
  ASN1InputStream, BERInputStream

    public class DERInputStream

extends java.io.FilterInputStream
implements DERTags

Don't use this class. It will eventually disappear, use ASN1InputStream.
This class is scheduled for removal.

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERInputStream(java.io.InputStream is)`

Method Summary
`protected DERObject` `buildObject(int tag, byte[] bytes)` build an object given its tag and a byte stream to construct it from.
`protected void` `readFully(byte[] bytes)`
`protected int` `readLength()`
`DERObject` `readObject()`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERInputStream

    public DERInputStream(java.io.InputStream is)

Method Detail

### readLength

    protected int readLength()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFully

    protected void readFully(byte[] bytes)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildObject

    protected DERObject buildObject(int tag,
                                    byte[] bytes)
                             throws java.io.IOException

  build an object given its tag and a byte stream to construct it from.

  Throws:
    `java.io.IOException`

### readObject

    public DERObject readObject()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`